### Hierarchy

- Config

### Implements

- IConfig

## Index

### Accessors

- api_key
- api_secret
- api_url
- client_version
- cookie
- docs_url
- hsts
- storage_prefix
- transport
- uuid
- ws_url

### Methods

- $get
- set

### Object literals

- _config

## Accessors

### api_key

- get api_key(): any

- - Defined in Config.ts:79

  #### Returns any

### api_secret

- get api_secret(): any

- - Defined in Config.ts:83

  #### Returns any

### api_url

- get api_url(): any

- - Defined in Config.ts:67

  #### Returns any

### client_version

- get client_version(): any

- - Defined in Config.ts:103

  #### Returns any

### cookie

- get cookie(): any

- - Defined in Config.ts:95

  #### Returns any

### docs_url

- get docs_url(): any

- - Defined in Config.ts:75

  #### Returns any

### hsts

- get hsts(): any

- - Defined in Config.ts:107

  #### Returns any

### storage_prefix

- get storage_prefix(): any

- - Defined in Config.ts:91

  #### Returns any

### transport

- get transport(): any

- - Defined in Config.ts:87

  #### Returns any

### uuid

- get uuid(): any

- - Defined in Config.ts:99

  #### Returns any

### ws_url

- get ws_url(): any

- - Defined in Config.ts:71

  #### Returns any

## Methods

### $get

- $get(): IIPPConfig

- - Defined in Config.ts:111

  #### Returns IIPPConfig

### set

- set(config: IIPPConfig): void

- Implementation of IConfig.set

  - Defined in Config.ts:50

  #### Parameters

  - ##### config: IIPPConfig

  #### Returns void

## Object literals

### Private _config

_config: object

- Defined in Config.ts:32

### api_key

api_key: string = ""

- Defined in Config.ts:36

### api_secret

api_secret: string = ""

- Defined in Config.ts:37

### api_url

api_url: string = "https://www.ipushpull.com/api/1.0"

- Defined in Config.ts:33

### client_version

client_version: string = ""

- Defined in Config.ts:45

### docs_url

docs_url: string = "https://docs.ipushpull.com"

- Defined in Config.ts:35

### hsts

hsts: boolean = true

- Defined in Config.ts:47

### storage_prefix

storage_prefix: string = "ipp"

- Defined in Config.ts:39

### transport

transport: string = "polling"

- Defined in Config.ts:38

### uuid

uuid: string = ""

- Defined in Config.ts:46

### ws_url

ws_url: string = "https://www.ipushpull.com"

- Defined in Config.ts:34

### cookie

cookie: object

- Defined in Config.ts:40

### oauth_access_token

oauth_access_token: string = "access_token"

- Defined in Config.ts:41

### ouath_refresh_token

ouath_refresh_token: string = "refresh_token"

- Defined in Config.ts:42

### uuid

uuid: string = "uuid"

- Defined in Config.ts:43

Generated using TypeDoc